libcoap 4.3.2rc2

Data Fields
coap_lg_xmit_t Struct Reference
Libcoap Internal API » Block Transfer

Structure to hold large body (many blocks) transmission information. More...

`#include <coap_block_internal.h>`

## Data Fields
struct coap_lg_xmit_t * | next
uint8_t | blk_size
| large block transmission size More...
uint16_t | option
| large block transmisson CoAP option More...
int | last_block
| last acknowledged block number Block1 last transmitted Q-Block2 More...
const uint8_t * | data
| large data ptr More...
size_t | length
| large data length More...
size_t | offset
| large data next offset to transmit More...
union {
coap_l_block1_t b1
coap_l_block2_t b2
} | b
coap_pdu_t | pdu
| skeletal PDU More...
coap_tick_t | last_payload
| Last time MAX_PAYLOAD was sent or 0. More...
coap_tick_t | last_sent
| Last time any data sent. More...
coap_tick_t | last_all_sent
| Last time all data sent or 0. More...
coap_tick_t | last_obs
| Last time used (Observe tracking) or 0. More...
coap_release_large_data_t | release_func
| large data de-alloc function More...
void * | app_ptr
| applicaton provided ptr for de-alloc function More...

## Detailed Description

Structure to hold large body (many blocks) transmission information.

Definition at line 117 of file coap_block_internal.h.

## Field Documentation

## ◆ app_ptr

void* coap_lg_xmit_t::app_ptr

applicaton provided ptr for de-alloc function

Definition at line 139 of file coap_block_internal.h.

## ◆

union { ... } coap_lg_xmit_t::b

## ◆ b1

coap_l_block1_t coap_lg_xmit_t::b1

Definition at line 127 of file coap_block_internal.h.

## ◆ b2

coap_l_block2_t coap_lg_xmit_t::b2

Definition at line 128 of file coap_block_internal.h.

## ◆ blk_size

uint8_t coap_lg_xmit_t::blk_size

large block transmission size

Definition at line 119 of file coap_block_internal.h.

## ◆ data

const uint8_t* coap_lg_xmit_t::data

large data ptr

Definition at line 123 of file coap_block_internal.h.

## ◆ last_all_sent

coap_tick_t coap_lg_xmit_t::last_all_sent

Last time all data sent or 0.

Definition at line 133 of file coap_block_internal.h.

## ◆ last_block

int coap_lg_xmit_t::last_block

last acknowledged block number Block1 last transmitted Q-Block2

Definition at line 121 of file coap_block_internal.h.

## ◆ last_obs

coap_tick_t coap_lg_xmit_t::last_obs

Last time used (Observe tracking) or 0.

Definition at line 134 of file coap_block_internal.h.

## ◆ last_payload

coap_tick_t coap_lg_xmit_t::last_payload

Last time MAX_PAYLOAD was sent or 0.

Definition at line 131 of file coap_block_internal.h.

## ◆ last_sent

coap_tick_t coap_lg_xmit_t::last_sent

Last time any data sent.

Definition at line 132 of file coap_block_internal.h.

## ◆ length

size_t coap_lg_xmit_t::length

large data length

Definition at line 124 of file coap_block_internal.h.

## ◆ next

struct coap_lg_xmit_t* coap_lg_xmit_t::next

Definition at line 118 of file coap_block_internal.h.

## ◆ offset

size_t coap_lg_xmit_t::offset

large data next offset to transmit

Definition at line 125 of file coap_block_internal.h.

## ◆ option

uint16_t coap_lg_xmit_t::option

large block transmisson CoAP option

Definition at line 120 of file coap_block_internal.h.

## ◆ pdu

coap_pdu_t coap_lg_xmit_t::pdu

skeletal PDU

Definition at line 130 of file coap_block_internal.h.

## ◆ release_func

coap_release_large_data_t coap_lg_xmit_t::release_func

large data de-alloc function

Definition at line 138 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h